> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the active withdrawal address

> Returns the address receiving client collections, or null if none has been registered. Available in Sandbox only.



## OpenAPI

````yaml /openapi-v2.en.yaml get /v2/business-clients/{clientId}/withdrawal-address
openapi: 3.0.0
info:
  title: YP API Partner
  description: Integration documentation for YP API partners.
  version: v2
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Queries
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
  - name: Clients
    description: ''
  - name: Client verifications
    description: Las verificaciones que habilitan a un cliente a cobrar a su nombre.
  - name: Virtual accounts
    description: 'Las cuentas de cobro: las del partner y las de sus clientes.'
paths:
  /v2/business-clients/{clientId}/withdrawal-address:
    get:
      tags:
        - Clients
      summary: Retrieve the active withdrawal address
      description: >-
        Returns the address receiving client collections, or null if none has
        been registered. Available in Sandbox only.
      operationId: getWithdrawalAddress
      parameters:
        - name: clientId
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: Active address, or null.
          content:
            application/json:
              schema:
                nullable: true
                allOf:
                  - $ref: '#/components/schemas/WithdrawalAddressResponseDoc'
        '401':
          description: Missing, invalid, or expired token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
        '404':
          description: Client not found.
      security:
        - bearer: []
components:
  schemas:
    WithdrawalAddressResponseDoc:
      type: object
      properties:
        address:
          type: string
          example: '0x2102d529741C5f6487d27a4792C4dC1f50913Bc8'
        network:
          type: string
          example: Polygon
          description: Settlement network selected when creating the client.
        registeredAt:
          type: string
          example: '2026-09-22T15:10:10.365Z'
      required:
        - address
        - network
        - registeredAt
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtained from /v2/auth/login or /v3/auth/login

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.